<?php

declare(strict_types=1);

namespace App\Controller\TblTemaXUsuario;

use App\Service\TblTemaXUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblTemaXUsuarioService(): TblTemaXUsuarioService
    {
        return $this->container->get('TblTemaXUsuario_service');
    }
}
